Appointment

Edit an appointment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This function allows you to modify an existing appointment. See Appointment for a list of attributes which are supported for appointments. Only attributes marked as Read-Write can be modified using this endpoint.

🚧

Repeating appointments cannot be created or modified via the API. Attempting to edit an existing repeating appointment will return a should_not_edit_appointment error. To work with repeating appointments, use the Daylite application directly.

📘

Note

When editing an appointment, including the add or remove actions will allow you to specify a list of items to update/remove from the field's existing contents. Leaving out add or remove will replace the fields contents entirely.

Path Params
int32
required

The identifier of the appointment.

Body Params
string

Subject name of the appointment

string

Location

string
keywords
array of strings

List of Keywords

keywords
string

Details

boolean

Denotes an all-day appointment

date

Appointment start time (UTC) Example: 2024-04-10T13:15:30Z

date

Appointment ending time (UTC) Example: 2024-04-10T14:15:30Z

date

Appointment start time Example: 2024-04-10T09:15:30

date

Appointment ending time Example: 2024-04-10T10:15:30

string

The type of appointment. Can be one of appointment, event, outbound_call, inbound_call, chat, vacation, meeting, video

string

IANA timezone name. Can also be set to floating Example: America/Detroit

string
Defaults to free

Appear as "busy" or "free".

resources
array of strings

List of Resources Example: /v1/resources/1000

resources
invitations
array of objects

List of invitees Example: /v1/users/3000 or /v1/contacts/2001

invitations
contacts
array of objects

linked Contacts Example: /v1/contacts/2001

contacts
companies
array of objects

linked Companies Example: /v1/companies/1001

companies
tasks
array of objects

linked Tasks Example: /v1/tasks/1002

tasks
groups
array of objects

List of Groups Example: /v1/groups/1001

groups
notes
array of objects

List of Notes Example: /v1/notes/1001

notes
projects
array of objects

List of Projects Example: /v1/projects/1001

projects
opportunities
array of objects

List of Opportunities Example: /v1/opportunities/1001

opportunities
string

Status of object. Can be other, tentative, confirmed, postponed, completed, `cancelled

string

URL of the User that is responsible for the appointment Example: /v1/users/1000

boolean

You can use this to untrash an object by setting it to false. true will do nothing, use delete for that.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json